Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.jdf
Class JDFWriterFactory

    java.lang.Object
      lbg.simulator.tools.jdf.JDFWriterFactory

    public class JDFWriterFactory

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`JDFWriterFactory(Middleware m, boolean upload_jar_dep)` Constructs a new JDF file writer factory.

Method Summary
`JDFWriter` | `createJDFWriter(java.lang.String job_label, java.lang.String scenario_complete_filename, java.lang.String jar_complete_filename, java.util.Iterator<java.lang.String> scenarii, java.lang.String main_class)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDFWriterFactory

    public JDFWriterFactory(Middleware m,
                            boolean upload_jar_dep)
                     throws GridException

  Constructs a new JDF file writer factory.

  Parameters:
    `m` - target middleware (LBG, OurGrid)
    `upload_jar_dep` - flag to turn on/off the upload of all LBG jar dependencies (ignored and considered true by default if target middleware is OurGrid)
  Throws:
    `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createJDFWriter

    public JDFWriter createJDFWriter(java.lang.String job_label,
                                     java.lang.String scenario_complete_filename,
                                     java.lang.String jar_complete_filename,
                                     java.util.Iterator<java.lang.String> scenarii,
                                     java.lang.String main_class)
                              throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.